apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    name: calibre-ingress
    namespace: home-stuff
    annotations:
        kubernetes.io/ingress.class: nginx
        nginx.ingress.kubernetes.io/proxy-body-size: 10m
        cert-manager.io/issuer: vault-issuer
        cert-manager.io/common-name: calibre.k3s.local
spec:
    rules:
        - host: ENC[AES256_GCM,data:uwP7ndgD3B7uulFyyLa5xOM=,iv:HXdmTa4ESskcgc5EGG6jLa0qMjurOI9fEic5d98xutU=,tag:IBS8sfx9c/0g4uI5jD5z1w==,type:str]
          http:
            paths:
                - path: ENC[AES256_GCM,data:Kg==,iv:lUf6MwQDjqLz088PDKWfOkr+Fq1PWFd3Mf7a3sWSFPg=,tag:YrDgv+A4iGutzCvF6JB77Q==,type:str]
                  pathType: ENC[AES256_GCM,data:kbvMInQj,iv:Q1gZG73JQoiGkg5e2pdE05tQfUQ7maiAdQhry2jCBmY=,tag:QCZkDI6p0YAyv+n28WlMRg==,type:str]
                  backend:
                    service:
                        name: ENC[AES256_GCM,data:sMG5+4MTzfo0jdEWJhzODzWNUA==,iv:ExxIppAPkf0IurpiIsU7bR7Gmp0clFdltpYNrBX4oW4=,tag:FB+IE/lH4ZlONgX0r2QJ+w==,type:str]
                        port:
                            number: ENC[AES256_GCM,data:Q5Fd0A==,iv:jwPUr0xJhcOyhkPPiBPp0zh3F5D6EqQVespVa2byM0Y=,tag:8Wd69GAizjI3gFqvWZ1INw==,type:int]
    #ENC[AES256_GCM,data:6zi5gRSexwtM7vTWEg4uTOZquZ2mIh9I02fD29hBnR96nVw2SihntvQz2S0wWkINmSnPvMzm5Vx2fEDtU3QbM330PrWDhAimEs/ZNEiBjl434blaRXCBtxCJqpSz,iv:L85B/Tn90zGDFLsYH6sSemdVa1EwQZhyHHMUWCTBTks=,tag:RiKF34QY4VaA5Rl72jHzxA==,type:comment]
    tls:
        - hosts:
            - ENC[AES256_GCM,data:NE8AK7cTVQFCMBVVrCh3eH0=,iv:J0bEnd+/cki6smr//K0c9cnBADcRlN0AyVJP2yGeFw4=,tag:OhiiOnoZl3dCkka2yAmTaw==,type:str]
          secretName: ENC[AES256_GCM,data:iRmtpLoO8G6Niv/Rw77wlA==,iv:3A+U4YKK2rA3jT7DGbXsCv6wnrraCfzRoUlEr77sftU=,tag:YhT9MFSoWCzlGyKXHkAO0Q==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBVNU1TOXhEL25BOVJGd0Z4
            TE9DZTRmZ2c5eTZlVldLZlQzMFdKN0F0a2dNCkM2NVR1WVVmZEdMM1lJYXJRMVJa
            NmtocW16aTYvQkxFYTFPeEdpUzR4eGsKLS0tIDlPRDlIQjVZb1VIYVdIYU9hTGlx
            bHpmbHg2SE04QVVZcjVxaG95Z0g0ajAK0ewwPfjMZFlZeVqC7aFlx+BvDM5SoU2C
            w0NO+iW8qmlv3wCAK+O6yvgYE2wgETTSRcOw5Otg8dCZOVQjRcNciQ==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:02Z"
    mac: ENC[AES256_GCM,data:3ieF7A6KFLXen4FgelyiCyc/gA2QjMahF4BpHm3ra4w62hx5i+BukKuev2GNypqFOelWf6bBsl0ui0oB0pVjTMOhHZe5sH48w4GCG8WT+7v8PFatk7VSeN/GBe0falYsW2Ql0j80Nwp33ZeMwsPEpWjBokiRrz2pjLKPZXrDorI=,iv:y4Nh1e/YdvduC7B+cIBpYi/ukM337+7Vy+ec7tI89eE=,tag:tFM6Etuf4MzDzqyhBHqp5Q==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
